Skip to content

CloudFront  >  Operations  >  list_distributions

list_distributions

Operation

list_distributions async

list_distributions(request: ListDistributionsInput | ListDistributionsInputDict, /, *, plugins: list[Plugin] | None = None) -> ListDistributionsOutput
list_distributions(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListDistributionsInputDict]) -> ListDistributionsOutput

List CloudFront distributions.

Parameters:

Name Type Description Default
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
ListDistributionsOutput

An instance of ListDistributionsOutput.

Input

Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.

Model

ListDistributionsInput dataclass

Bases: _SerdeShape

The request to list your distributions.

Attributes
marker class-attribute instance-attribute
marker: str | None = ...

Use this when paginating results to indicate where to begin in your list of distributions. The results include distributions in the list that occur after the marker. To get the next page of results, set the Marker to the value of the NextMarker from the current page's response (which is also the ID of the last distribution on that page).

max_items class-attribute instance-attribute
max_items: int | None = ...

The maximum number of distributions you want in the response body.

Dictionaries

ListDistributionsInputDict

Bases: TypedDict

Dictionary form of ListDistributionsInput.

Attributes
marker instance-attribute
marker: str | None

Use this when paginating results to indicate where to begin in your list of distributions. The results include distributions in the list that occur after the marker. To get the next page of results, set the Marker to the value of the NextMarker from the current page's response (which is also the ID of the last distribution on that page).

max_items instance-attribute
max_items: int | None

The maximum number of distributions you want in the response body.

Output

ListDistributionsOutput dataclass

Bases: _SerdeShape

The returned result of the corresponding request.

Attributes

distribution_list class-attribute instance-attribute
distribution_list: DistributionList | None = ...

The DistributionList type.

response_metadata class-attribute instance-attribute
response_metadata: ResponseMetadata = ...

Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.